Subject: Re: WG Review: Internet Wideband Audio Codec (codec)

From: Robert Elz <[email-masked]>
Date: Thu, 24 Dec 2009 01:39:57 +0700

Date:        Wed, 23 Dec 2009 09:15:01 -0800 (PST)
    From:        IESG Secretary <[email-masked]>
    Message-ID:  <[email-masked]>

Given ...

  | There exist codecs that can be widely implemented and easily
  | distributed, but that are not standardized through any SDO; according to
  | reports, this lack of standardization and clear change control has
  | hindered adoption of such codecs in interactive Internet applications.

(quoted from the proposed charter) it seems to me that the primary
goal of this (proposed) WG should be to pick one (or perhaps more)
of those, and standardise it (ie: document it).   As long as you're
not infringing anyone's IP by doing that, the problem looks solved,
without the need to invent yet another...  (it doesn't matter if the
authors of the codec go and change it, that changed version would not
be the IETF standard version, just the one in he RFC - until a revised
RFC is published, of course.)

kre

ps: the proposed charter goes on for way too long about why encumbered
technology isn't the right solution, if at all possible - most of that
is not (or should not be) needed here.   It isn't wrong, just unnecessary.

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 23 Dec 2009 21:48:18 +0200

Hi Robert, 

>(quoted from the proposed charter) it seems to me that the 
>primary goal of this (proposed) WG should be to pick one (or 
>perhaps more)
>not infringing anyone's IP by doing that, the problem looks 
>solved, without the need to invent yet another...  (it doesn't 
>matter if the authors of the codec go and change it, that 
>changed version would not be the IETF standard version, just 
>the one in he RFC - until a revised RFC is published, of course.)

That's something for the working group to figure out. 
My experience: things are typically more complicated than they initially
look like. 

>
>kre
>
>ps: the proposed charter goes on for way too long about why 
>encumbered technology isn't the right solution, if at all 
>possible - most of that

WG charters are also written for those who have not followed the history
of the work very closely. These folks typically need a bit more
background information. 

Ciao
Hannes

---

From: Robert Elz <[email-masked]>
Date: Thu, 24 Dec 2009 03:39:39 +0700

Date:        Wed, 23 Dec 2009 21:48:18 +0200
    From:        "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
    Message-ID:  <[email-masked]>

  | That's something for the working group to figure out. 
  | My experience: things are typically more complicated than they initially
  | look like. 

Yes, of course, but the proposed charter goes to great lengths to point
out why solutions from the first and third of the three categories of
existing codecs are no good, but it more or less ignored the middle
category - then, it seemed to me, more or less demanded that a new codec
(or perhaps codecs) be developed.

That's the wrong approach, the emphasis should be on adopting something
that exists, if at all possible, and only inventing something new if
there really is no other choice.

That's why I'd prefer the charter to be revised with that in mind.

  | WG charters are also written for those who have not followed the history
  | of the work very closely. These folks typically need a bit more
  | background information. 

Yes, but no-one needs that much ... (no need to delete all of that
stuff about encumbered technology, just most of it)

kre

---

From: "Roni Even" <[email-masked]>
Date: Thu, 24 Dec 2009 08:49:27 +0200

Hi,
I am not sure but are you suggesting that the IETF will define the
requirements, metric and quality assessment requirements and all proposed
codecs should provide the results and then the WG will choose the best codec
bases without discussing the codec itself. This is what I would call a
selection process (at least in ITU terms).
The problem is that the IETF process allows anyone to contribute to existing
work hopefully leading to a better the end result. 
What about the change control, does it stay with the original contributor or
can the IETF modify the codec based on input from other parties, which means
that the codec may change by the IETF anyhow. 
Thanks
Roni Even

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Robert Elz
> Sent: Wednesday, December 23, 2009 10:40 PM
> To: Tschofenig, Hannes (NSN - FI/Espoo)
> Cc: [email-masked]; [email-masked]
> Subject: Re: WG Review: Internet Wideband Audio Codec (codec)
> 
>     Message-ID:
> <[email-masked]>
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: "Roni Even" <[email-masked]>
Date: Thu, 24 Dec 2009 08:50:30 +0200

Hi,

---

From: Robert Elz <[email-masked]>
Date: Thu, 24 Dec 2009 16:47:16 +0700

Date:        Thu, 24 Dec 2009 08:50:30 +0200
    From:        "Roni Even" <[email-masked]>
    Message-ID:  <[email-masked]>

  | I am not sure but are you suggesting that the IETF will define the
  | requirements, metric and quality assessment requirements and all proposed
  | codecs should provide the results and then the WG will choose the best codec
  | bases without discussing the codec itself. This is what I would call a
  | selection process (at least in ITU terms).

The WG can decide how it wants to go about the process, I'd just prefer that
the charter not (effectively) rule out selection of something that already
exists with an assumption that something entirely new will be created.

  | The problem is that the IETF process allows anyone to contribute to existing
  | work hopefully leading to a better the end result.

Of course, but also be aware that there's no one definition of "better".
Something that can be defined quickly and used immediately might be much
better than something it takes 5 years to create and more to implement,
even if the invented one saves a little bandwidth or has better loss
recovery characteristics.

  | What about the change control, does it stay with the original contributor or
  | can the IETF modify the codec based on input from other parties, which means
  | that the codec may change by the IETF anyhow. 

The IETF will have change control over its protocol, of course, which may
cause it to diverge from that upon which it was originally based.  And yes,
everything changes with time.

kre

---

From: "Roni Even" <[email-masked]>
Date: Thu, 24 Dec 2009 15:56:17 +0200

Hi,
In line
Roni Even

> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, December 24, 2009 11:47 AM
> To: Roni Even
> Cc: 'Tschofenig, Hannes (NSN - FI/Espoo)'; [email-masked];
> [email-masked]; [email-masked]

This is the IETF process for better or worse, I asked similar questions and
the response is that the IETF decide what is better is based on rough
consensus. 
BTW: my personal view is that your suggestion is in line with the process at
the ITU when doing codec selection, but there are people who prefer doing it
at the IETF using the IETF procedures for other reasons.